import type { LocaleValue } from '../../share/locale.js';
type Rule = {
    when: string;
    warning?: boolean;
    message: LocaleValue;
};
type __VLS_Props = {
    modelValue?: ReadonlyArray<Rule>;
};
declare const __VLS_export: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (rules: readonly Rule[]) => any;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:modelValue"?: ((rules: readonly Rule[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
